Liny_@NotePad

沉迷ACG中

unknown Oracle major version [0]

YOYO posted @ 2010年5月01日 09:36 in 【Java EE】 with tags Hibernate oracle , 2971 阅读

用Hibernate实现的JPA做ORM,连接数据库时报这个错误,看来是Hibernate不知道Oracle所用的版本,

百度一下,在Hibernate配置文件里面设置hibernate.dialect属性为org.hibernate.dialect.Oracle9iDialect即可(这里使用的是9i)。


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter